# Class GenericMarkerFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<GenericMarker>
org.snpeff.fileIterator.MarkerFileIterator<GenericMarker>
org.snpeff.fileIterator.GenericMarkerFileIterator

All Implemented Interfaces:
  `Iterable<GenericMarker>, Iterator<GenericMarker>`

public class GenericMarkerFileIterator extends MarkerFileIterator<GenericMarker>
Opens a file and creates generic markers (one per line)

Author:
  pcingola

## Field Summary

### Fields inherited from class MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`GenericMarkerFileIterator(String fileName, int colChr, int colStart, int colEnd, int inOffset)`

## Method Summary

Modifier and Type
Method
Description
`protected GenericMarker`
`readNext()`
Read next element

### Methods inherited from class MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### GenericMarkerFileIterator

public GenericMarkerFileIterator(String fileName, int colChr, int colStart, int colEnd, int inOffset)

## Method Details

### readNext

protected GenericMarker readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<GenericMarker>`